import type { PropType } from "vue";
declare enum Period {
    AM = "AM",
    PM = "PM"
}
export interface TimeInputData {
    hours: number;
    minutes: number;
    period: Period;
}
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<TimeInputData>;
        required: true;
    };
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:model-value": (newValue: TimeInputData) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<TimeInputData>;
        required: true;
    };
}>> & Readonly<{
    "onUpdate:model-value"?: ((newValue: TimeInputData) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
